Package Details: xiphos-git 1:4.1.0.r69.g8845c65b-1

Git Clone URL: https://aur.archlinux.org/xiphos-git.git (read-only)
Package Base: xiphos-git
Description: A Bible study tool -- git version
Upstream URL: http://xiphos.org
Licenses: GPL
Conflicts: gnomesword, xiphos
Provides: gnomesword, xiphos
Submitter: haawda
Maintainer: haawda (caleb)
Last Packager: caleb
Votes: 1
Popularity: 0.000000
First Submitted: 2016-03-03 18:46
Last Updated: 2019-08-26 05:34

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

haawda commented on 2014-04-24 18:42

filed upstream

haawda commented on 2014-04-24 18:03

Indeed the file "NEWS" is gone, but not so it's refernce in the wscript. Strictly spoken, this is not my (packager's) problem, but I fixed it by removing line 466 from wscript.

amcollie commented on 2014-04-23 05:10

While compiling the following error was displayed:
Unable to install the file 'NEWS' (not found in dir:///tmp/yaourt-tmp-alexandros/aur-xiphos-svn/src/xiphos)

Tried _svnmod=trunk and received the same error.

haawda commented on 2014-02-15 21:15

That workaround would lead to the following problem: if you have SRCDEST set, and want to build several svn-packages, which all try to use "trunk", the will be a mixture, or svn will fail with the second repo.

Try if
source=('xiphos::svn+https://svn.code.sf.net/p/gnomesword/code/trunk')
_svnmod=xiphos
works for you.

Gaming4JC commented on 2014-02-15 18:41

-> Cloning xiphos svn repo...
svn: E210002: Unable to connect to a repository at URL 'svn://svn.code.sf.net/p/gnomesword/code/trunk'
svn: E210002: Network connection closed unexpectedly

--------------------
The fix (for me), change this line in PKGBUILD:
_svnmod=xiphos

to:
_svnmod=trunk

and:
source=('xiphos::svn://svn.code.sf.net/p/gnomesword/code/trunk')
to this:
source=('svn://svn.code.sf.net/p/gnomesword/code/trunk')

Work around for whatever bug was happening there.

dWolf commented on 2014-02-11 22:54

I just updated sword-svn from AUR and xiphos works.

haawda commented on 2013-12-15 23:12

Gaming4JC, thats strange, you should automatically get the newest svn version, which is not 4488.

scorici, sorry, no idea.

scorici commented on 2013-12-15 20:45

I just installed it but it gave me an error when running it:
** Message: MAINTAINER_MODE
** Message: /usr/share/xiphos/languages

:-(

Gaming4JC commented on 2013-12-15 18:22

This no longer builds, I assume something broke upstream -
http://pastebin.com/Z33UP9Hx

Build failed:
-> task failed (err #1):
{task: cxx export_passage.cc -> export_passage_1.o}
-> task failed (err #1):
{task: cxx sword_main.cc -> sword_main_1.o}
-> task failed (err #1):
{task: cxx display.cc -> display_1.o}
-> task failed (err #1):
{task: cxx module_dialogs.cc -> module_dialogs_1.o}
==> ERROR: A failure occurred in build().
Aborting...

Gaming4JC commented on 2013-12-15 18:09

Something broke, I presume upstream -
Build failed:
-> task failed (err #1):
{task: cxx module_manager.cc -> module_manager_1.o}
-> task failed (err #1):
{task: cxx mod_mgr.cc -> mod_mgr_1.o}
==> ERROR: A failure occurred in build().
Aborting...